#              quiet = TRUE)
#flat_url <- rvest::read_html("scrapedpage.html")
flat_url <- rvest::read_html(apa_url)
reticulate::repl_python()
import requests
apa_html_link$clean_link[1]
$ conda activate C:\Users\k2144434\AppData\Local\r-miniconda\envs\r-reticulate
quit
View(apa_html_links)
reticulate::repl_python()
import requests
url = "https://oce.ovid.com/article/ 00000487-201802000-00011"
page = requests.get(url)
print(page.text)
quit
apa_url <- "apa_html_links$clean_link[10]"
ua <- httr::user_agent(
"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/89.0.4389.90 Safari/537.36"
)
session_with_ua <- rvest::html_session(apa_url, ua)
apa_url <- "https://oce.ovid.com/article/00000487-201802000-00011"
ua <- httr::user_agent(
"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/89.0.4389.90 Safari/537.36"
)
session_with_ua <- rvest::html_session(apa_url, ua)
# This runs under XX minutes on my machine
#for (url in apa_dois$url) {
#download.file(url,
#              destfile = "scrapedpage.html",
#              quiet = TRUE)
#flat_url <- rvest::read_html("scrapedpage.html")
flat_url <- rvest::read_html(apa_url)
View(apa_html_links)
# Yet another attempt
apa_html_links <- readLines(here::here("data", "apa_ovid_ref.txt")) %>%
tibble::as_tibble() %>%
dplyr::filter(stringr::str_detect(value, "ovid.com")) %>%
dplyr::mutate(item_id = stringr::str_sub(value, start = -24L)) %>%
dplyr::mutate(clean_link = paste(
"https://oce.ovid.com/article/",
item_id,
"")) %>%
dplyr::mutate(clean_link = stringr::str_replace_all(clean_link, " ", ""))
apa_url <- apa_html_links[1]
# This runs under XX minutes on my machine
#for (url in apa_dois$url) {
#download.file(url,
#              destfile = "scrapedpage.html",
#              quiet = TRUE)
#flat_url <- rvest::read_html("scrapedpage.html")
flat_url <- rvest::read_html(apa_url)
apa_url <- apa_html_links$clean_link[1]
# This runs under XX minutes on my machine
#for (url in apa_dois$url) {
#download.file(url,
#              destfile = "scrapedpage.html",
#              quiet = TRUE)
#flat_url <- rvest::read_html("scrapedpage.html")
flat_url <- rvest::read_html(apa_url)
apa_url
apa_obit <- rvest::html_node(flat_url, "article") %>%
#rvest::html_elements(flat_url, "p")
rvest::html_text()
apa_obit
View(flat_url)
ua <- httr::user_agent(
"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/89.0.4389.90 Safari/537.36"
)
session_with_ua <- rvest::html_session(apa_url, ua)
View(session)
session_with_ua$response
session_with_ua$config$headers
session_with_ua$response$content
# This runs under XX minutes on my machine
#for (url in apa_dois$url) {
#download.file(url,
#              destfile = "scrapedpage.html",
#              quiet = TRUE)
#flat_url <- rvest::read_html("scrapedpage.html")
flat_url <- rvest::read_html(apa_url)
?htmlread
?html_read
?read_html
ua <- httr::user_agent(
"Mozilla/5.0 (Windows NT 10.0; Win64; x64) Chrome/89.0.4389.90"
)
httr::set_config(httr::user_agent(ua))
httr::set_config(httr::user_agent("Mozilla/5.0 (Windows NT 10.0; Win64; x64) Chrome/89.0.4389.90"))
# This runs under XX minutes on my machine
#for (url in apa_dois$url) {
#download.file(url,
#              destfile = "scrapedpage.html",
#              quiet = TRUE)
#flat_url <- rvest::read_html("scrapedpage.html")
flat_url <- rvest::read_html(apa_url)
apa_name <- rvest::html_node(flat_url, ".title") %>%
rvest::html_text()
apa_obit <- rvest::html_node(flat_url, "article") %>%
#rvest::html_elements(flat_url, "p")
rvest::html_text()
apa_obit <- rvest::html_node(flat_url, "article") %>%
rvest::html_elements(flat_url, "p") %>%
rvest::html_text()
apa_url
# just for reminder if necessary https://cran.ma.imperial.ac.uk/
# if necessary
# install.packages("remotes")
# remotes::install_github("espanta/lubripack")
# remotes::install_github("elizagrames/litsearchr", ref = "main")
# remotes::install_github("mjwestgate/synthesisr")
options(java.parameters = "-Xmx16000m")
lubripack::lubripack(
"magrittr",
"skimr",
"rio",
"here",
"tidyverse",
"countrycode",
"lubridate",
"janitor",
"ggplot2",
"ggthemes",
"showtext",
"khroma",
"extrafont",
"polite",
"robotstxt",
"XML",
"Rcrawler",
"profvis",
"xml2",
"pdftools",
#"readr",
"tm",
"tabulizer",
#"fulltext",
#"litsearchr",
#"revtools",
#"synthetisr",
#"bibliometrix",
#"rvest",
#"httr",
#"rplos",
#"RSelenium",
"pdfsearch"
)
# Export own theme
source(here::here("scr", "theme_agk.R"))
sysfonts::font_add_google("Roboto", "roboto")
# just for reminder if necessary https://cran.ma.imperial.ac.uk/
# if necessary
# install.packages("remotes")
# remotes::install_github("espanta/lubripack")
# remotes::install_github("elizagrames/litsearchr", ref = "main")
# remotes::install_github("mjwestgate/synthesisr")
options(java.parameters = "-Xmx16000m")
# just for reminder if necessary https://cran.ma.imperial.ac.uk/
# if necessary
# install.packages("remotes")
# remotes::install_github("espanta/lubripack")
# remotes::install_github("elizagrames/litsearchr", ref = "main")
# remotes::install_github("mjwestgate/synthesisr")
options(java.parameters = "-Xmx16000m")
lubripack::lubripack(
"magrittr",
"skimr",
"rio",
"here",
"tidyverse",
"countrycode",
"lubridate",
"janitor",
"ggplot2",
"ggthemes",
"showtext",
"khroma",
"extrafont",
"polite",
"robotstxt",
"XML",
"Rcrawler",
"profvis",
"xml2",
"pdftools",
#"readr",
"tm",
"tabulizer",
#"fulltext",
#"litsearchr",
#"revtools",
#"synthetisr",
#"bibliometrix",
#"rvest",
#"httr",
#"rplos",
#"RSelenium",
"pdfsearch"
)
# Export own theme
source(here::here("scr", "theme_agk.R"))
sysfonts::font_add_google("Roboto", "roboto")
showtext_auto()
showtext::showtext_opts(dpi = 96)
knitr::opts_chunk$set(
echo = FALSE,
error = FALSE,
fig.align = "center",
fig.dim = c(9, 7),
fig.lp = NULL,
fig.path = "figures/",
message = FALSE,
warning = FALSE,
cache = TRUE,
comment = "",
dpi = 96,
results = "markup"
)
# Yet another attempt
apa_html_links <- readLines(here::here("data", "apa_ovid_ref.txt")) %>%
tibble::as_tibble() %>%
dplyr::filter(stringr::str_detect(value, "ovid.com")) %>%
dplyr::mutate(item_id = stringr::str_sub(value, start = -24L)) %>%
dplyr::mutate(clean_link = paste(
"https://oce.ovid.com/article/",
item_id,
"")) %>%
dplyr::mutate(clean_link = stringr::str_replace_all(clean_link, " ", ""))
apa_url <- apa_html_links$clean_link[1]
sesh <- rvest::html_session( "http://example.org/" )
sesh$response$request$options$useragent
httr::set_config(httr::user_agent("Mozilla/5.0 (Windows NT 10.0; Win64; x64) Chrome/89.0.4389.90"))
# This runs under XX minutes on my machine
#for (url in apa_dois$url) {
#download.file(url,
#              destfile = "scrapedpage.html",
#              quiet = TRUE)
#flat_url <- rvest::read_html("scrapedpage.html")
flat_url <- rvest::read_html(apa_url)
apa_name <- rvest::html_node(flat_url, ".title") %>%
rvest::html_text()
View(flat_url)
View(flat_url)
lms_paths <-
list.files(path = here::here("data", "lms_pdf"),
full.names = TRUE) #%>%
#####
# 22:31 - 22:54
# 22:57
#####
for (pdf_path in lms_paths) {
gc()
lms_pg <- tabulizer::split_pdf(
pdf_path,
outdir = here::here("data", "lms_pdf", "lms_split_pdf"))
for (pg_path in lms_pg) {
gc()
lms_text <- pdftools::pdf_text(pg_path)
if (stringr::str_detect(lms_text, "obituar") == TRUE) {
lms_name <- basename(pdf_path) %>%
stringr::str_replace(".pdf", "")
writeLines(lms_text,
file.path(
here::here("data", "lms_pdf", "lms_txt"),
paste(lms_name, ".txt", sep = "")
),
sep = "")
}
}
profvis::pause(5)
}
lms_split_paths <-
list.files(path = here::here("data", "lms_pdf", "lms_split_pdf"),
full.names = TRUE)
for (split_path in lms_split_paths) {
gc()
lms_text <- pdftools::pdf_text(split_path)
if (stringr::str_detect(lms_text, "obituar") == TRUE) {
lms_name <- basename(split_path) %>%
stringr::str_replace(".pdf", "")
writeLines(lms_text,
file.path(
here::here("data", "lms_pdf", "lms_txt"),
paste(lms_name, ".txt", sep = "")
),
sep = "")
}
profvis::pause(5)
}
# just for reminder if necessary https://cran.ma.imperial.ac.uk/
# if necessary
# install.packages("remotes")
# remotes::install_github("espanta/lubripack")
# remotes::install_github("elizagrames/litsearchr", ref = "main")
# remotes::install_github("mjwestgate/synthesisr")
options(java.parameters = "-Xmx16000m")
lubripack::lubripack(
"magrittr",
"skimr",
"rio",
"here",
"tidyverse",
"countrycode",
"lubridate",
"janitor",
"ggplot2",
"ggthemes",
"showtext",
"khroma",
"extrafont",
"polite",
"robotstxt",
"XML",
"Rcrawler",
"profvis",
"xml2",
"pdftools",
#"readr",
"tm",
"tabulizer",
#"fulltext",
#"litsearchr",
#"revtools",
#"synthetisr",
#"bibliometrix",
#"rvest",
#"httr",
#"rplos",
#"RSelenium",
"pdfsearch"
)
# Export own theme
source(here::here("scr", "theme_agk.R"))
sysfonts::font_add_google("Roboto", "roboto")
showtext_auto()
showtext::showtext_opts(dpi = 96)
knitr::opts_chunk$set(
echo = FALSE,
error = FALSE,
fig.align = "center",
fig.dim = c(9, 7),
fig.lp = NULL,
fig.path = "figures/",
message = FALSE,
warning = FALSE,
cache = TRUE,
comment = "",
dpi = 96,
results = "markup"
)
dplyr::mutate(clean_link = stringr::str_replace_all(clean_link, " ", ""))
# Yet another attempt
apa_html_links <- readLines(here::here("data", "apa_ovid_ref.txt")) %>%
tibble::as_tibble() %>%
dplyr::filter(stringr::str_detect(value, "ovid.com")) %>%
dplyr::mutate(item_id = stringr::str_sub(value, start = -24L)) %>%
dplyr::mutate(clean_link = paste(
"https://oce.ovid.com/article/",
item_id,
"")) %>%
dplyr::mutate(clean_link = stringr::str_replace_all(clean_link, " ", ""))
apa_url <- apa_html_links$clean_link[1]
# This runs under XX minutes on my machine
#for (url in apa_dois$url) {
#download.file(url,
#              destfile = "scrapedpage.html",
#              quiet = TRUE)
#flat_url <- rvest::read_html("scrapedpage.html")
flat_url <- rvest::read_html(apa_url)
apa_obit <- rvest::html_node(flat_url, "article") %>%
rvest::html_elements(flat_url, "p") %>%
rvest::html_text()
apa_obit <- read_html(flat_url) %>%
html_node("body") %>%
html_text() %>%
toString()
?tostring
?toString
apa_obit <- read_html(flat_url) %>%
rvest::html_node("body") %>%
rvest::html_text() %>%
toString()
apa_obit <- rvest::html_node(flat_url, "body") %>%
rvest::html_text() %>%
toString()
apa_obit
httr::set_config(httr::user_agent("Mozilla/5.0 (Windows NT 10.0; Win64; x64) Chrome/89.0.4389.90"))
# This runs under XX minutes on my machine
#for (url in apa_dois$url) {
#download.file(url,
#              destfile = "scrapedpage.html",
#              quiet = TRUE)
#flat_url <- rvest::read_html("scrapedpage.html")
flat_url <- rvest::read_html(apa_url)
apa_obit <- rvest::html_node(flat_url, "body") %>%
rvest::html_text() %>%
toString()
apa_obit
# just for reminder if necessary https://cran.ma.imperial.ac.uk/
# if necessary
# install.packages("remotes")
# remotes::install_github("espanta/lubripack")
# remotes::install_github("elizagrames/litsearchr", ref = "main")
# remotes::install_github("mjwestgate/synthesisr")
options(java.parameters = "-Xmx16000m")
lubripack::lubripack(
"magrittr",
"skimr",
"rio",
"here",
"tidyverse",
"countrycode",
"lubridate",
"janitor",
"ggplot2",
"ggthemes",
"showtext",
"khroma",
"extrafont",
"polite",
"robotstxt",
"XML",
"Rcrawler",
"profvis",
"xml2",
"pdftools",
#"readr",
"tm",
"tabulizer",
#"fulltext",
#"litsearchr",
#"revtools",
#"synthetisr",
#"bibliometrix",
#"rvest",
#"httr",
#"rplos",
"RSelenium",
#"pdfsearch"
)
# just for reminder if necessary https://cran.ma.imperial.ac.uk/
# if necessary
# install.packages("remotes")
# remotes::install_github("espanta/lubripack")
# remotes::install_github("elizagrames/litsearchr", ref = "main")
# remotes::install_github("mjwestgate/synthesisr")
options(java.parameters = "-Xmx16000m")
lubripack::lubripack(
"magrittr",
"skimr",
"rio",
"here",
"tidyverse",
"countrycode",
"lubridate",
"janitor",
"ggplot2",
"ggthemes",
"showtext",
"khroma",
"extrafont",
"polite",
"robotstxt",
"XML",
"Rcrawler",
"profvis",
"xml2",
"pdftools",
#"readr",
"tm",
"tabulizer",
#"fulltext",
#"litsearchr",
#"revtools",
#"synthetisr",
#"bibliometrix",
#"rvest",
#"httr",
#"rplos",
"RSelenium"
#"pdfsearch"
)
# Export own theme
source(here::here("scr", "theme_agk.R"))
sysfonts::font_add_google("Roboto", "roboto")
showtext_auto()
showtext::showtext_opts(dpi = 96)
knitr::opts_chunk$set(
echo = FALSE,
error = FALSE,
fig.align = "center",
fig.dim = c(9, 7),
fig.lp = NULL,
fig.path = "figures/",
message = FALSE,
warning = FALSE,
cache = TRUE,
comment = "",
dpi = 96,
results = "markup"
)
# start the server and browser(you can use other browsers here)
rD <- Rselenium::rsDriver(browser = c("firefox"))
?rsDriver
# start the server and browser(you can use other browsers here)
rD <- RSelenium::rsDriver(browser = c("firefox"))
# start the server and browser(you can use other browsers here)
rD <- RSelenium::rsDriver(browser = c("firefox"))
# start the server and browser(you can use other browsers here)
rD <- RSelenium::rsDriver(browser = c("firefox"), port = 4444L)
driver <- rD[["client"]]
# navigate to an URL
driver$navigate(apa_url)
